<div *ngIf="isLogin; else register" class="login">
  <h1 class="login__title">Login</h1>
  <form (ngSubmit)="login()" class="login__form">
    <input
      type="text"
      name="user"
      placeholder="Email"
      [(ngModel)]="email"
      class="login__input"
    />
    <input
      type="password"
      name="password"
      placeholder="Password"
      [(ngModel)]="password"
      class="login__input"
    />
    <button type="submit" class="login__button">Log In</button>
  </form>
  <p>
    New user?
    <span class="login__href" (click)="changeForm()">Register Here!</span>
  </p>
</div>
<ng-template #register>
  <div class="login">
    <h1 class="login__title">Register</h1>
    <form (ngSubmit)="newUser()" class="login__form">
      <input
        type="text"
        name="user"
        placeholder="Email"
        [(ngModel)]="email"
        class="login__input"
      />
      <input
        type="password"
        name="password"
        placeholder="Password"
        [(ngModel)]="password"
        class="login__input"
      />
      <button type="submit" class="login__button">Register</button>
    </form>
    <p>
      Already have account?
      <span class="login__href" (click)="changeForm()">Login Here!</span>
    </p>
  </div>
</ng-template>
